Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class StandardizationConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.StandardizationConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class StandardizationConfiguration
extends java.lang.Object
implements ConfigurationInfo

Handles the parsing of the Standardization configuration, defining how to standardize (including phoneticization) objects.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `StandardizationConfiguration.Attributes` Attributes that correspond to the XML attribute names.
`static class` | `StandardizationConfiguration.Tags` Tags that correspond to the XML node names.

Field Summary
`static java.lang.String` | `STANDARDIZATION` Module Name to use with the Configuration Service to load the Standardization configuration

Constructor Summary
`StandardizationConfiguration()` Creates new StandardizationConfiguration instance.

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getModuleType()` Getter for ModuleType attribute.
`SystemObjectStandardization` | `getSystemObjectStandardization(java.lang.String sysObjName)` Getter for SystemObjectStandardization attribute.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARDIZATION

    public static final java.lang.String STANDARDIZATION

  Module Name to use with the Configuration Service to load the Standardization configuration

  See Also:
    Constant Field Values

Constructor Detail

### StandardizationConfiguration

    public StandardizationConfiguration()

  Creates new StandardizationConfiguration instance.

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getModuleType

    public java.lang.String getModuleType()

  Getter for ModuleType attribute.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    the module type of this configuration info

### getSystemObjectStandardization

    public SystemObjectStandardization getSystemObjectStandardization(java.lang.String sysObjName)

  Getter for SystemObjectStandardization attribute.

  Parameters:
    `sysObjName` - The qualified name of the system object to retrieve the standardization information for.
  Returns:
    the standardization information for a specific system object.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.